Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61044 - [haskell-yaml] Enable yaml2json and json2yaml executables for this package?

Attached to Project: Community Packages
Opened by Leif Warner (pdxleif) - Wednesday, 12 December 2018, 12:52 GMT
Last edited by Balló György (City-busz) - Friday, 12 April 2019, 12:59 GMT
Task Type Feature Request
Category Packages
Status Assigned
Assigned To Felix Yan (felixonmars)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

I'm used to having the yaml2json and json2yaml executables, which I think are handy utilities, come with this library, but for some reason the "no-exe" flag defaults to "True" these days.
Could we add "-f -no-exe" (to disable that flag) to the configure flags in this package, to get those tools installed to /usr/bin?
This task depends upon

Comment by Leif Warner (pdxleif) - Wednesday, 12 December 2018, 12:55 GMT
No big deal either way. I can just go into the "exe" directory of the tarball, and those tools are just a single .hs file each I can compile on top of the library and put wherever on my path.

Loading...